<!-- Header -->
<div fxLayout="row">
  <div class="chef-home-title " fxFlex="50%">
    <img src="/assets/img/chef_462x342.png" width="30px" height="30px" class="chef-img" alt="chef heading image">
    <h1>
      Welcome Chef!</h1>
    <h3 class="chef-home-heading">Start preparing your menu...</h3>
  </div>
  <app-chef-routing class="chef-home-nav" fxFlex="50%"></app-chef-routing>
</div>
<!-- /Header -->

<!-- Loading Spinner-->
<div class="spinner-container" *ngIf="!foodItems">
  <div class="spinner-container-content">
    <md-spinner color="warn"></md-spinner>
  </div>
</div>
<!-- /Loading Spinner-->

<div class="chef-create-food-form">

  <form #createFoodForm="ngForm" autocomplete='off'>

    <!-- First row (Food name) -->
    <div fxLayout="row" fxLayoutAlign="start center">
      <div fxFlex="75%">
        <md-input-container class="chef-food-name">
          <input mdInput placeholder="Name" [(ngModel)]="model.name" name="foodName" pattern="^[a-zA-Z  .-]+$" maxlength="100" (blur)="checkIfExists(model.name)"
            required>
          <md-error *ngIf="createFoodForm.invalid">Invalid</md-error>
          <span *ngIf="checkOnNameIsCompleted"><md-error *ngIf="disableCreateButton" class="name-error">This name already exist!</md-error></span>
        </md-input-container>
      </div>
    </div>
    <!-- /First row (Food name) -->

    <!-- Second row (Food type - Description - Price/Sumbit) -->
    <div fxLayout="row">
      <div fxFlex="15%">
        <md-select placeholder="Type of food" [(ngModel)]="model.foodType" name="foodType" required="true">
          <md-option *ngFor="let foodType of foodTypes" [value]="foodType.value">
            {{foodType.viewValue}}
          </md-option>
        </md-select>
      </div>
      <div fxFlex="60%">
        <md-input-container class="description">
          <textarea mdInput placeholder="Food description" [(ngModel)]="model.description" cols="50" rows="7" maxlength="250" name="description"></textarea>
        </md-input-container>
      </div>
      <div fxFlex="15%" fxFlexOffset="10%" fxLayout="column" fxLayoutAlign="end none">
        <div>
          <md-input-container>
            <input mdInput placeholder="Price" type="number" class="no-spin" pattern="^[^0]|[1-9]{1,2}(\.[0-9]{1,2})?$" [(ngModel)]="model.price"
              name="price" required>
            <md-error>Invalid</md-error>
          </md-input-container>
        </div>
        <div>
          <button md-button type="button" color="primary" class="button-strong-text" [disabled]="createFoodForm.invalid || disableCreateButton || createFoodForm.prestine"
            (click)="createFood(createFoodForm)">Create Food</button>
        </div>
      </div>
    </div>
    <!-- /Second row (Food type - Description - Price/Sumbit) -->

  </form>
  <!-- Spinner -->
  <div *ngIf="loading">
    <md-spinner color="warn" class="small-md-spinner"></md-spinner>
  </div>
  <!-- /Spinner -->
</div>

<!-- Controls -->
<div>
  <div fxLayout="row">
    <div fxFlex="10%">
      <md-select placeholder="Page size" [(ngModel)]="selecedPageSize" (change)="updatePage()">
        <md-option *ngFor="let pageSize of pageSizes" [value]="pageSize.value">
          {{pageSize.viewValue}}
        </md-option>
      </md-select>
    </div>
    <div fxFlex="10%" fxFlexOffset="2%">
      <md-select placeholder="Type of food" [(ngModel)]="selecedFoodType" (change)="updatePage()">
        <md-option value=''> All</md-option>
        <md-option *ngFor="let foodType of foodTypes" [value]="foodType.value">
          {{foodType.viewValue}}
        </md-option>
      </md-select>
    </div>
    <div fxFlex="10%" fxFlexOffset="2%">
      <md-select placeholder="Ordering" [(ngModel)]="selecedOrderingValue" (change)="updatePage()">
        <md-option *ngFor="let orderingVal of orderingVals" [value]="orderingVal.value">
          {{orderingVal.viewValue}}
        </md-option>
      </md-select>
    </div>
    <div fxFlex="24%" fxFlexOffset="2%">
      <md-checkbox [(ngModel)]="showArchived" [value]="showArchived" (change)="updatePage()">View archived items</md-checkbox>
    </div>
    <div fxFlex="40%" class="chefPagination">
      <app-shared-pagination *ngIf="ready" [pageSize]="selecedPageSize" [totalPages]="totalPages" [currentPage]="currentPage" (updatePage)="pageChanged($event)"></app-shared-pagination>
    </div>
  </div>
</div>
<!-- /Controls -->
<div *ngIf="!haveFoods" class="noFood">
  <h1> No foods</h1>
</div>

<!-- Foods -->
<div *ngFor="let foodItem of foodItems;">
  <div class="chef-food">
    <app-chef-food [foodItem]="foodItem" (needRefresh)="refreshList($event)"></app-chef-food>
  </div>
</div>
<!-- /Foods -->

<div class="chef-food" fxLayout="row" fxLayoutAlign="end">
  <app-shared-pagination *ngIf="ready" [pageSize]="selecedPageSize" [totalPages]="totalPages" [currentPage]="currentPage" (updatePage)="pageChanged($event)"></app-shared-pagination>
</div>
